unit IAMenuContentEditor;

interface
  uses Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ToolWin, ComCtrls, ExtCtrls, StdCtrls,dsgnintf,IAmenuContent,MenuEditorWindow,IAeverMenu2;


  type
  TIAMenuEditor2 = class(TPropertyEditor)
  public
    Dialog : TFormeditor2;
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
    procedure Edit; override;
  end;


procedure Register;

implementation

function TIAMenuEditor2.GetAttributes: TPropertyAttributes;
begin
  Result:=[paAutoUpdate	,paDialog];
end;
function TIAMenuEditor2.GetValue: string;
begin
  Result:='(TIAMenuList)';
end;


procedure TIAMenuEditor2.Edit;
var
 p : TIAGhangedProcedure;
begin
  Dialog:=TFormeditor2.Create(nil);
  p:=(getComponent(0) as TIAeverMenu2).mainmenuList.onChange;
  (getComponent(0) as TIAeverMenu2).mainmenuList.onChange:=nil;
  DIalog.MenuContent:=(getComponent(0) as TIAeverMenu2).mainmenuList;
  Dialog.Caption:=GetPropType.Name;
  Dialog.FPreferredOrientation:=(getComponent(0) as TIAeverMenu2).PreferredOrientation;
  Dialog.fmenukind:=(getComponent(0) as TIAeverMenu2).menukind;
  Dialog.FTransparence:= (getComponent(0) as TIAeverMenu2).semipercent;
  if Dialog.Showmodal=mrOK then
    begin
      (getComponent(0) as TIAeverMenu2).mainmenuList:=(Dialog.MenuContent);
      (getComponent(0) as TIAeverMenu2).mainmenuList.onChange:=p;
      Modified;
    end;

  Dialog.Release;
  Dialog.free;
end;

procedure Register;
begin
  RegisterPropertyEditor(Typeinfo(TIAMenuList),TIAeverMenu2,'MainMenuList',TIAMenuEditor2);
end;


end.
